GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
gtpin::GtKernelDispatchOclRuntime Struct Reference
Kernel Dispatching

Span of immutable memory buffers. More...

`#include <gt_gpu_defs.h>`

## Public Member Functions
std::string | ToString (const std::string &separator=" ") const
| Return string representation.
## Data Fields
GtOclKernel | kernel
| Handle to the kernel object in OpenCL.
GtOclProgram | program
| Handle to the OpenCL program that contains the kernel.
GtOclContext | context
| OpenCL context, the kernel is created for.
GtOclDevice | device
| OpenCL device, the kernel is build for.

## Detailed Description

Span of immutable memory buffers.

OpenCL runtime information associated with the kernel instance dispatched for execution

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT